<div class="container-fluid mt-0 mb-5 pl-0 pr-0">  
<form #dataLayoutForm="ngForm">
  <ejs-grid #thresholdListGrid [dataSource]="thresholdRules | filter:searchtxt:['data_layer_nm', 'obj_nm', 'attr_nm', 'agg_fn', 'visual_rule_desc', 'rule_desc']
  | arrayFilter:layerToFilter:['data_layer_id']:filterMetadata 
  | arrayFilter:objToFilter:['obj_id']:filterMetadata
  | arrayFilter:ruleToFilter:['mstr_rule_id']:filterMetadata 
  | arrayFilter:severityToFilter:['rule_svrt']:filterMetadata 
  | arrayFilter:statusToFilter:['is_rule_actv']:filterMetadata"
  (dataBound)="onTHListGridDataBound()" [allowPaging]="true" [allowSorting]="true" [showColumnChooser]="true"
  [toolbar]="gridToolbar" [pageSettings]="gridPageSettings" [allowTextWrap]="true">
    <e-columns>
      <e-column type='checkbox' [allowFiltering]='false' [allowSorting]='false' width='60'></e-column>
      <e-column field="data_layer_nm" headerText={{threshold.ruleListColumn.objLayerNm}}>
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.data_layer_nm}}">
            {{thresholdRules.data_layer_nm !== null && thresholdRules.data_layer_nm?.length > 25 ? thresholdRules.data_layer_nm.slice(0,25).concat("...") : thresholdRules.data_layer_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="obj_nm" headerText={{threshold.ruleListColumn.objNm}} isPrimaryKey="true">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.obj_nm}}">
            {{thresholdRules.obj_nm !== null && thresholdRules.obj_nm?.length > 25 ? thresholdRules.obj_nm.slice(0,25).concat("...") : thresholdRules.obj_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="visual_rule_desc" headerText="{{threshold.ruleListColumn.ruleType}}">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.visual_rule_desc}}">
            {{thresholdRules.visual_rule_desc !== null && thresholdRules.visual_rule_desc?.length > 25 ? thresholdRules.visual_rule_desc.slice(0,25).concat("...") : thresholdRules.visual_rule_desc}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="agg_fn" headerText="{{threshold.ruleListColumn.aggregationFunction}}">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.agg_fn}}">
            {{thresholdRules.agg_fn !== null && thresholdRules.agg_fn?.length > 25 ? thresholdRules.agg_fn.slice(0,25).concat("...") : thresholdRules.agg_fn}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="attr_nm" headerText="{{threshold.ruleListColumn.trendingAttr}}">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.trending_attr_nm}}">
            {{thresholdRules.trending_attr_nm !== null && thresholdRules.trending_attr_nm?.length > 25 ? thresholdRules.trending_attr_nm.slice(0,25).concat("...") : thresholdRules.trending_attr_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="attr_nm" headerText="{{threshold.ruleListColumn.aggrFuncAttr}}">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.attr_nm}}">
            {{thresholdRules.attr_nm !== null && thresholdRules.attr_nm?.length > 25 ? thresholdRules.attr_nm.slice(0,25).concat("...") : thresholdRules.attr_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="bk_attr_nm" headerText="{{threshold.ruleListColumn.dimensionAttr}}">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.dimension_attr_nm}}">
            {{thresholdRules.dimension_attr_nm !== null && thresholdRules.dimension_attr_nm?.length > 25 ? thresholdRules.dimension_attr_nm.slice(0,25).concat("...") : thresholdRules.dimension_attr_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="rule_desc" headerText="{{threshold.ruleListColumn.ruleDescription}}">
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.rule_desc}}">
            {{thresholdRules.rule_desc !== null && thresholdRules.rule_desc?.length > 25 ? thresholdRules.rule_desc.slice(0,25).concat("...") : thresholdRules.rule_desc}}
          </span>
        </ng-template>
      </e-column>
      <e-column field="actv_disp" headerText="{{threshold.ruleListColumn.status}}" width='100' class="justify-content-center">
        <ng-template #template let-thresholdRules>
          <div class="switch">
            {{thresholdRules.is_rule_actv?'Yes':''}}
            <ejs-switch [checked]="thresholdRules.is_rule_actv" [disabled]="true"></ejs-switch>
            {{thresholdRules.is_rule_actv?'':'No'}}
          </div>
        </ng-template>
      </e-column>
      <e-column field="rule_svrt" headerText="{{threshold.ruleListColumn.severity}}" width='130'>
        <ng-template #template let-thresholdRules>
          <span title="{{thresholdRules.rule_svrt}}">
            {{thresholdRules.rule_svrt !== null && thresholdRules.rule_svrt?.length > 25 ? thresholdRules.rule_svrt.slice(0,25).concat("...") : thresholdRules.rule_svrt}}
          </span>
        </ng-template>
      </e-column>
      <e-column headerText="{{threshold.ruleListColumn.editCommands}}" [commands]="gridCommands" width='85'
      textAlign="Center">
      </e-column>
    </e-columns>
  </ejs-grid>
</form>
<span class="d-flex float-right top-minus-42" id="customPagerTemplate">
  <span class="text-dark ml-5 mr-2 mt-2 pt-1">Results Per Page</span>
  <span class="mt-1">
    <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="['All', '5', '10', '20', '30', '50', '100']"
      value="5" (change)="changePageSize($event)" width="75px">
    </ejs-dropdownlist>
  </span>
</span>
</div>
<span *ngIf="active">
  <span id="showThResultsCount" class="top-minus-5">
    <span class="text-muted">{{(thresholdListGrid.pageSettings.currentPage-1)*thresholdListGrid.pageSettings.pageSize+1}}
      - {{filterMetadata.count > thresholdListGrid.pageSettings.currentPage*thresholdListGrid.pageSettings.pageSize ? thresholdListGrid.pageSettings.currentPage*thresholdListGrid.pageSettings.pageSize : filterMetadata.count}}</span>
  </span>
  <span id="addThRuleTemplate" class="mr-0 top-minus-5">
    <button class="iconTextButton btn btn-primary" data-ripple="true"
      aria-label="Add New Threshold Rule">
      <img src="assets/images/novartis/add.svg" alt="Add New Rule"/>{{dataQualityContent.addNewRule}}</button>
  </span>
  <span id="exportThTemplate" class="mr-1 top-minus-5">
    <button class="iconButton btn btn-primary" data-ripple="true"
      aria-label="Export Threshold Rules">
      <img src="assets/images/novartis/upload.svg" alt="Import Rules"/>
    </button>
  </span>
  <span id="columnChooserTemplateTh" class=" mr-0 top-minus-8">
    <button class="iconButton btn btn-primary" data-ripple="true"
      aria-label="Choose Columns To be Displayed">
      <img src="assets/images/novartis/column.svg" alt="Choose Columns"/>
    </button>
  </span>
</span>
<ejs-dialog #addNewThresholdRuleDialog
  [header]="isRuleEditMode?threshold.dialogForm.editRuleHeader:threshold.dialogForm.addRuleHeader"
  [buttons]="dlgButtons" [visible]="false" [isModal]="true" [position]="position" showCloseIcon="true"
  [animationSettings]="dlgAnimationSettings" (close)="modalDlgClose()">
  <ng-template #content>
    <app-threshold-validaton-form #thresholdFormComponent
      (hideDialog)="hideDialog($event)" [saveAfterDupCheck] = "saveAfterDupCheck">
    </app-threshold-validaton-form>
  </ng-template>
</ejs-dialog>